summaryrefslogtreecommitdiffstats
path: root/dilos/tdebase/debian/twin-trinity.postinst
diff options
context:
space:
mode:
authorDenis Kozadaev <denis@dilos.org>2020-01-30 22:13:12 +0300
committerSlávek Banko <slavek.banko@axis.cz>2020-03-02 23:40:36 +0100
commit54987baa2946868ae04e93090d4da5693afaa3b1 (patch)
tree6a989c0fb1d22986af268dcd240803f52a60b433 /dilos/tdebase/debian/twin-trinity.postinst
parent5593d90a563fc02f6baf3316388f13b9b8957cd0 (diff)
downloadtde-packaging-54987baa2946868ae04e93090d4da5693afaa3b1.tar.gz
tde-packaging-54987baa2946868ae04e93090d4da5693afaa3b1.zip
DilOS: tdebase build pack
Signed-off-by: Denis Kozadaev <denis@dilos.org> (cherry picked from commit 042414011edfd405230b65e77e2b14870852760f)
Diffstat (limited to 'dilos/tdebase/debian/twin-trinity.postinst')
-rw-r--r--dilos/tdebase/debian/twin-trinity.postinst45
1 files changed, 45 insertions, 0 deletions
diff --git a/dilos/tdebase/debian/twin-trinity.postinst b/dilos/tdebase/debian/twin-trinity.postinst
new file mode 100644
index 000000000..582ce4ce4
--- /dev/null
+++ b/dilos/tdebase/debian/twin-trinity.postinst
@@ -0,0 +1,45 @@
+#!/bin/sh
+# postinst script for konqueror
+#
+# see: dh_installdeb(1)
+
+set -e
+if [ "${BASEDIR:=/}" = "/" ]; then
+ BASEDIR=""
+fi
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+ configure)
+ update-alternatives --install /usr/bin/x-window-manager x-window-manager /usr/bin/twin 50
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+